org.eclipse.ecf.core.sharedobject.events

## Class RemoteSharedObjectEvent

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.events.RemoteSharedObjectEvent

All Implemented Interfaces:
  Serializable, ISharedObjectEvent, ISharedObjectMessageEvent, Event

Direct Known Subclasses:
  RemoteSharedObjectCreateResponseEvent, SharedObjectMsgEvent

    public class RemoteSharedObjectEvent
    extends Object
    implements ISharedObjectMessageEvent, Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RemoteSharedObjectEvent()`
`RemoteSharedObjectEvent(ID senderObj, ID remoteCont, Object data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getData()`
`Event` `getEvent()` Get the Event from the sender shared object
`ID` `getRemoteContainerID()`
`ID` `getSenderSharedObjectID()` Get ID of sender shared object responsible for this event
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RemoteSharedObjectEvent

    public RemoteSharedObjectEvent()

Since:
  2.6

#### RemoteSharedObjectEvent

    public RemoteSharedObjectEvent(ID senderObj,
                                   ID remoteCont,
                                   Object data)

### Method Detail

#### getSenderSharedObjectID

    public ID getSenderSharedObjectID()

Description copied from interface: `ISharedObjectEvent`
Get ID of sender shared object responsible for this event

Specified by:
  `getSenderSharedObjectID` in interface `ISharedObjectEvent`
Returns:
  ID of sender shared object. Will not be null.

#### getRemoteContainerID

    public ID getRemoteContainerID()

Specified by:
  `getRemoteContainerID` in interface `ISharedObjectMessageEvent`

#### getEvent

    public Event getEvent()

Description copied from interface: `ISharedObjectEvent`
Get the Event from the sender shared object

Specified by:
  `getEvent` in interface `ISharedObjectEvent`
Returns:
  Event the event in question

#### getData

    public Object getData()

Specified by:
  `getData` in interface `ISharedObjectMessageEvent`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`